#include <cassert>
#include <string>
#include <algorithm>
#include <iostream>
#include <vector>

long long nc2(long long n) {
	return n * (n - 1) / 2;
}

long long calc(const std::vector<std::string>& grid) {
	int n = (int) grid.size();
	int m = (int) grid[0].size();

	long long ans = 0;

	for (int x1 = 0; x1 < n; ++x1) {
		for (int y1 = 0; y1 < m; ++y1) {
			for (int x2 = x1 + 1; x2 < n; ++x2) {
				for (int y2 = y1 + 1; y2 < m; ++y2) {
					bool ok = true;
					for (int i = x1; i <= x2; ++i) {
						if (grid[i][y1] == '.') {
							ok = false;
							break;
						}
						if (grid[i][y2] == '.') {
							ok = false;
							break;
						}
					}
					for (int j = y1; j <= y2; ++j) {
						if (grid[x1][j] == '.') {
							ok = false;
							break;
						}
						if (grid[x2][j] == '.') {
							ok = false;
							break;
						}
					}
					if (ok) ans += 1;
				}
			}
		}
	}

	return ans;
}

int main() {
	std::ios::sync_with_stdio(false);
	std::cin.tie(nullptr);

	for (long long k = 1; k <= 1000; ++k) {
		//int SZ = 2002;
		int SZ = 20;

		long long best_i = SZ;
		long long best_j = SZ;
		long long best_choices = nc2(SZ) * nc2(SZ);

		assert(best_choices >= k);

		for (long long i = 2; i <= SZ; ++i) {
			for (long long j = 2; j <= SZ; ++j) {
				long long cur_choices = nc2(i) * nc2(j);
				if (cur_choices < k) continue;
				if (cur_choices >= best_choices) continue;
				best_i = i;
				best_j = j;
				best_choices = cur_choices;
			}
		}
		
		std::vector<std::string> grid(SZ + 20, std::string(SZ + 20, '.'));

		for (int i = 0; i < best_i; ++i) {
			for (int j = 0; j < best_j; ++j) {
				grid[i][j] = '#';
			}
		}

		int max_j = best_j;

		for (int i = 0; i < best_i - 1 && best_choices > k; ++i) {
			for (int j = 0; j < max_j && j < best_j - 1 && best_choices > k; ++j) {
				grid[i][j] = '.';
				best_choices -= (best_i - 1 - i) * (best_j - 1 - j);
			}
		}

		std::cout << best_choices << '\n';

		assert(best_choices <= k);
		assert(k - best_choices < 10'000'000);

		int cur_x = best_i + 3;

		best_j = 1;

		while (best_choices + nc2(best_j + 1) * nc2(4) <= k) ++best_j;

		assert(best_j <= SZ);

		for (int i = cur_x; i < cur_x + 4; ++i) {
			for (int j = 0; j < best_j; ++j) {
				grid[i][j] = '#';
			}
		}

		best_choices += nc2(best_j) * nc2(4);

		assert(best_choices <= k);
		assert(k - best_choices <= 100'000);

		cur_x += 6;
		best_j = 1;

		while (best_choices + nc2(best_j + 1) <= k) ++best_j;

		assert(best_j <= SZ);

		for (int i = cur_x; i < cur_x + 2; ++i) {
			for (int j = 0; j < best_j; ++j) {
				grid[i][j] = '#';
			}
		}

		best_choices += nc2(best_j);

		assert(best_choices <= k);
		assert(k - best_choices <= 3000);

		cur_x += 4;
		int cur_y = 0;

		while (best_choices < k) {
			best_j = 1;

			while (best_choices + nc2(best_j + 1) <= k) ++best_j;

			assert(cur_y + best_j + 5 <= SZ);

			for (int i = cur_x; i < cur_x + 2; ++i) {
				for (int j = cur_y; j < cur_y + best_j; ++j) {
					grid[i][j] = '#';
				}
			}

			best_choices += nc2(best_j);

			assert(best_choices <= k);

			cur_y += 4;
		}

		if (calc(grid) != k) {
			std::cout << k << '\n';
			std::cout << (int) grid.size() << ' ' << (int) grid[0].size() << '\n';

			for (const std::string& s : grid) {
				std::cout << s << '\n';
			}
			return 0;
		}
	}

	std::cout << "ok" << '\n';


	return 0;
}
